Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.directory
Class ProviderNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.directory.RegistryException
                  org.biojava.directory.ProviderNotFoundException

All Implemented Interfaces:
  Serializable

    public class ProviderNotFoundException

extends RegistryException

`ProviderNotFoundException` is thrown when a sequence database provider can not be located.

Author:
  Keith James, Brian Gilman
See Also:
  Serialized Form

Constructor Summary
`ProviderNotFoundException()` Creates a `ProviderNotFoundException` with no detail message.
`ProviderNotFoundException(String message)` Creates a `ProviderNotFoundException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderNotFoundException

    public ProviderNotFoundException()

  Creates a `ProviderNotFoundException` with no detail message.

### ProviderNotFoundException

    public ProviderNotFoundException(String message)

  Creates a `ProviderNotFoundException` with the specified detail message.

  Parameters:
    `message` - a `String`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD